ONVIF::PTZ::Types::IOCapabilities(3)

NAME
ONVIF::PTZ::Types::IOCapabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType IOCapabilities from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   InputConnectors

•   RelayOutputs

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::IOCapabilities
   InputConnectors =>  $some_value, # int
   RelayOutputs =>  $some_value, # int
   Extension =>  { # ONVIF::PTZ::Types::IOCapabilitiesExtension
     Auxiliary =>  $some_value, # boolean
     AuxiliaryCommands => $some_value, # AuxiliaryData
     Extension =>  { # ONVIF::PTZ::Types::IOCapabilitiesExtension2
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL